opensesh docs

Update a resource

PATCH
/events/{eventId}/resources/{resourceId}

Full resource update, including publication state and audience replacement. Existing file attachments can be replaced or removed in the organizer app; the API supports link and embed attachments.

Authorization

bearerAuth
AuthorizationBearer <token>

An organization API key (osk_…)

In: header

Path Parameters

eventId*string
resourceId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/events/string/resources/string" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "subtitle": "string",    "body": "string",    "published": true,    "audienceMode": "all",    "attachmentKind": "link",    "linkUrl": "string",    "embedUrl": "string",    "trackIds": [      "string"    ],    "contactIds": [      "string"    ]  }'
{  "id": "string",  "createdAt": "string",  "updatedAt": "string",  "eventId": "string",  "title": "string",  "subtitle": "string",  "body": "string",  "position": 0,  "published": true,  "audienceMode": "all",  "attachmentKind": "link",  "linkUrl": "string",  "embedUrl": "string",  "fileStorageKey": "string",  "fileName": "string",  "fileContentType": "string",  "fileSize": 0,  "trackIds": [    "string"  ],  "contactIds": [    "string"  ]}